Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Class HTTPProtocolConfigKeys

    java.lang.Object
      com.sun.appserv.management.config.HTTPProtocolConfigKeys

public final class HTTPProtocolConfigKeys
extends java.lang.Object

Keys for use with `HTTPServiceConfig.createHTTPProtocolConfig(java.util.Map)` All Map values associated with a key are of class java.lang.String unless otherwise documented.

Field Summary
`static java.lang.String` | `DEFAULT_RESPONSE_TYPE_KEY` See `FORCED_RESPONSE_TYPE_KEY`.
`static java.lang.String` | `DNS_LOOKUP_ENABLED_KEY`
`static java.lang.String` | `FORCED_RESPONSE_TYPE_KEY` See `HTTPProtocolConfig.setForcedResponseType(java.lang.String)` for legal values.
`static java.lang.String` | `SSL_ENABLED_KEY`
`static java.lang.String` | `VERSION_KEY` http version

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION_KEY

    public static final java.lang.String VERSION_KEY

  http version

  See Also:
    Constant Field Values

### DNS_LOOKUP_ENABLED_KEY

    public static final java.lang.String DNS_LOOKUP_ENABLED_KEY

See Also:
  Constant Field Values

### FORCED_RESPONSE_TYPE_KEY

    public static final java.lang.String FORCED_RESPONSE_TYPE_KEY

  See `HTTPProtocolConfig.setForcedResponseType(java.lang.String)` for legal values. The response type to be forced if the content served cannot be matched by any of the MIME mappings for extensions. Specified as a semi-colon delimited string consisting of content-type, encoding, language, charset

  Example: "text/html; charset=iso-8859-1"

  See Also:
    Constant Field Values

### DEFAULT_RESPONSE_TYPE_KEY

    public static final java.lang.String DEFAULT_RESPONSE_TYPE_KEY

  See `FORCED_RESPONSE_TYPE_KEY`.

  See Also:
    Constant Field Values

### SSL_ENABLED_KEY

    public static final java.lang.String SSL_ENABLED_KEY

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.